#define csn_on GPIOA->BSRR = GPIO_BSRR_BS9
#define csn_off GPIOA->BRR = GPIO_BRR_BR9
#define ce_on GPIOA->BSRR = GPIO_BSRR_BS10
#define ce_off GPIOA->BRR = GPIO_BRR_BR10
//---------------------------NRF24L01Ĵ------------------------------
//#define READ_REG        0x00  
//#define WRITE_REG       0x20  
#define RD_RX_PLOAD     0x61 
#define WR_TX_PLOAD     0xA0  
#define FLUSH_TX        0xE1  
#define FLUSH_RX        0xE2  
#define REUSE_TX_PL     0xE3  
#define NOP             0xFF  
//----------------------------SPI(NRF24L01)Ĵַ----------------------------------
#define CONFIG          0x00  
                              
#define EN_AA           0x01  
#define EN_RXADDR       0x02  
#define SETUP_AW        0x03  
#define SETUP_RETR      0x04 
#define RF_CH           0x05  
#define RF_SETUP        0x06  
#define STATUS          0x07  
                              
#define OBSERVE_TX      0x08  
#define CD              0x09 
#define RX_ADDR_P0      0x0A  
#define RX_ADDR_P1      0x0B  
#define RX_ADDR_P2      0x0C  
#define RX_ADDR_P3      0x0D  
#define RX_ADDR_P4      0x0E  
#define RX_ADDR_P5      0x0F  
#define TX_ADDR         0x10  
#define RX_PW_P0        0x11  
#define RX_PW_P1        0x12  
#define RX_PW_P2        0x13  
#define RX_PW_P3        0x14 
#define RX_PW_P4        0x15  
#define RX_PW_P5        0x16 
#define FIFO_STATUS     0x17  

//0 bit of reg config
		#define PRIM_RX           0                            		   	   
		#define Reserved          7 //0 R/W Only '0' allowed
		#define MASK_RX_DR        6 //0 R/W Mask interrupt caused by RX_DR
		#define MASK_TX_DS 				5 //0 R/W Mask interrupt caused by TX_DS
		#define MASK_MAX_RT 			4 //0 R/W Mask interrupt caused by MAX_RT
		#define EN_CRC 						3// 1 R/W Enable CRC. Forced high if one of the bits in the
		#define CRCO 							2 //0 R/W CRC encoding scheme
		#define PWR_UP 						1 //0 R/W 1: POWER UP, 0:POWER DOWN

//02 EN_RXADDR
              //Reserved 7:6 00 R/W Only '00' allowed
		#define ERX_P5 5 //0 R/W Enable data pipe 5.
		#define ERX_P4 4 //0 R/W Enable data pipe 4.
		#define ERX_P3 3 //0 R/W Enable data pipe 3.
		#define ERX_P2 2 //0 R/W Enable data pipe 2.
		#define ERX_P1 1 //1 R/W Enable data pipe 1.
		#define ERX_P0 0

//03 SETUP_AW
		//AW 1:0 11 R/W RX/TX Address field width
		//'00' - Illegal
		//'01' - 3 bytes
		//'10' - 4 bytes
		//'11'  5 bytes
		//LSByte is used if address width is below 5 bytes
	
//04 SETUP_RETR
		//ARDa 7:4 0000 R/W Auto Retransmit Delay
		//0000  Wait 250S
		//0001  Wait 500S
		//0010  Wait 750S
		//..
		//1111  Wait 4000S

//05 RF_CH
		//Reserved 7 0 R/W Only '0' allowed
		//RF_CH 0-6 Sets the frequency channel nRF24L01+ operateson

//06 RF_SETUP
		#define CONT_WAVE 7 //0 R/W Enables continuous carrier transmit when high.Reserved 6 0 R/W Only '0' allowed
		#define RF_DR_LOW 5 //0 R/W Set RF Data Rate to 250kbps. See RF_DR_HIGHfor encoding.
		#define PLL_LOCK 4 //0 R/W Force PLL lock signal. Only used in test
		#define RF_DR_HIGH 3 //1 R/W Select between the high speed data rates. This bitis dont care if RF_DR_LOW is set.
	  #define RF_PWR 1 //2:1 11 R/W Set RF output power in TX mode
		//'00'  -18dBm
		//'01'  -12dBm
		//'10'  -6dBm
		//'11'  0dBm

//0A RX_ADDR_P0 39:0 0xE7E7E7E7E7
//R/W Receive address data pipe 0. 5 Bytes maximum
//length. (LSByte is written first. Write the number of
//bytes defined by SETUP_AW)

//11 RX_PW_P0
//Reserved 7:6 00 R/W Only '00' allowed
//RX_PW_P0 5:0 0 R/W Number of bytes in RX payload in data pipe 0 (1 to 32 bytes).
//0 Pipe not used
//1 = 1 byte
//
//32 = 32 bytes
#define TX_EMPTY 4




