#include "stm32f10x.h"
#include "24l01.h"
#define fr_chan 1
#define dd 7000 
void config_mcu(void);//                                1
void config_nrf(void);//                                2
void wr_reg(unsigned char reg,unsigned char data);//    3
unsigned char read_reg(unsigned char reg);//            4
void wr_pay(unsigned char data);//                      5
void del(unsigned int takh);//                          6
void w_rs_add(unsigned char rs,unsigned char add);//    7                              
void pak_tx(void);//                                    8
////////////////////////////////////////////////////////////////////////////



int main(void) {
	unsigned char k;//j added
int j;
	config_mcu();	
  config_nrf();
	
	while(1)
	{
	for (k=0;k<40;k++){
	wr_pay(k);
		ce_on;
for(j=0;j<72*10;j++);		//wait 10us
		ce_off;
			del(800);
	}		
		
}	
}









//111111111111111111111111111111111111111111111111111111111111111111111111111111111111
void config_mcu(void){
		  RCC->APB1ENR=RCC_APB1ENR_SPI2EN;
	    RCC->APB2ENR=RCC_APB2ENR_IOPBEN | RCC_APB2ENR_IOPAEN | RCC_APB2ENR_IOPCEN;     // GPIOA,b,c Enable Clock 
	  
	  GPIOB->CRH = GPIO_CRH_MODE13_0 | GPIO_CRH_CNF13_1                 //PB13 SCK IS ALTER PUSH PULL=MOD1& CNFY2
	           | GPIO_CRH_MODE15_0 | GPIO_CRH_CNF15_1                  //PB15 MOS ALTER PUSH PULL
	           | GPIO_CRH_MODE14_0 | GPIO_CRH_CNF14_1                 //PB14 MIS ALTER PUSH PULL	
						 | GPIO_CRH_MODE12;							 		    	             //pb12 is nss INPUT FOATINIG
		GPIOA->CRH = GPIO_CRH_CNF8_0				  			                  //PA8 IRQ
						 | GPIO_CRH_MODE9_0 					                       //PA9 CSN
						 | GPIO_CRH_MODE10_0 ;				                      //PA10 CE
	  
	GPIOA->CRL &=GPIO_CRL_CNF0_0;
	
	GPIOC->CRL =GPIO_CRL_MODE0_0 | GPIO_CRL_MODE1_0 | GPIO_CRL_MODE2_0 | GPIO_CRL_MODE3_0   				  			                 
						 |  GPIO_CRL_MODE4_0 | GPIO_CRL_MODE5_0 | GPIO_CRL_MODE6_0 | GPIO_CRL_MODE7_0;
	  
	  SPI2->CR1= SPI_CR1_SSI | SPI_CR1_SSM
	           | SPI_CR1_SSM | SPI_CR1_MSTR
	           | SPI_CR1_BR_0| SPI_CR1_BR_1 |  SPI_CR1_SPE; 
	ce_off;	
	csn_on;
}
//222222222222222222222222222222222222222222222222222222222222222222222222222222222222
void config_nrf(void){
  del(100);
   wr_reg(EN_AA,0); 		 //wr_reg(EN_AA,1);             // 1 frq of canal////////
	del(1);
	wr_reg(EN_RXADDR,1);                          // 2 Enable data pipe 0.
del(1);
	wr_reg(SETUP_AW,3);                                   // 3 addres=5byt 
del(1);	
	wr_reg(SETUP_RETR,0x2f);	//wr_reg(SETUP_RETR,0x2f);    // 4 ;wait to retrans
del(1);	
	wr_reg(RF_CH,fr_chan);                                // 5 frq of canal/////////
	del(1);	
	wr_reg(RF_SETUP,0x26); //wr_reg(RF_SETUP,6);//1<<RF_DR_LOW|0<<RF_DR_HIGH|3<<RF_PWR);// 6
	del(1);	
 w_rs_add(STATUS,0x70);	                                // 7
del(1);	
	w_rs_add(RX_ADDR_P0,0xE7);	                          // a ////////////
del(1);
w_rs_add(TX_ADDR,0xE7);	                                // 10
del(1);
	wr_reg(RX_PW_P0,1);                                   // 11
del(1); 
	wr_reg(0x1c,0); //wr_reg(0x1c,1);                                   // 1c
del(1); 
	wr_reg(0x1d,0);//wr_reg(0x1d,7);                                   // 1d
del(1); 

wr_reg(CONFIG ,0X4E);        //  0 power up & transmiter<----------------------
del(1);	
}
//-33333333333333333333333333333333333333333333333333333333333333333333333333333333333333333
void wr_reg(unsigned char reg,unsigned char data){
		   csn_off;
	del(1);		 
	      while(SPI_SR_TXE ==0 );			 
			     SPI2->DR = reg+0x20;
		    while(SPI_SR_RXNE ==0 );
			 		        del(1);               
	                              while(SPI_SR_TXE ==0 );			 
			                              SPI2->DR = data;
		                             while(SPI_SR_RXNE ==0 );	 			 
	del(1);
	csn_on;	
}
//44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444
unsigned char read_reg(unsigned char reg){
		   csn_off;
			 del(1);
	           while(SPI_SR_TXE ==0 );			 
			       SPI2->DR = reg;
		         while(SPI_SR_RXNE ==0 );
			 del(1);		    
                            	  while(SPI_SR_TXE ==0 );			 
			                              SPI2->DR = 0;
		                             while(SPI_SR_RXNE ==0 );	 			 
reg= SPI2->DR;	
	del(1);
	csn_on;	
	return  reg;
}
//55555555555555555555555555555555555555555555555555555555555555555555555555555555555555
void wr_pay(unsigned char data){	
	int j;
	csn_off; 

       	while(SPI_SR_TXE ==0 );			 
			 SPI2->DR = WR_TX_PLOAD;
		       while(SPI_SR_RXNE ==0 );
	for(j=0;j<72*4;j++);		//wait 4us//del(1);//del(1);                           
	                                         while(SPI_SR_TXE ==0 );			 
			                                        SPI2->DR =data;
		                                         while(SPI_SR_RXNE ==0 );	
  	
	for(j=0;j<72*4;j++);		//wait 4us	//del(1);
	csn_on;	
}
//66666666666666666666666666666666666666666666666666666666666666666666666666666666666666
void del(unsigned int takh){
	  unsigned long int q;
		for(q=0;q<dd*takh;q++);//
}
//777777777777777777777777777777777777777777777777777777777777777777777777777777777
void w_rs_add(unsigned char rs,unsigned char add){
unsigned char addres[5]=	{0xe7,0xe7,0xe7,0xe7,0xe7};	
	
  unsigned char i;		   
	csn_off;
	del(1);	 
	while(SPI_SR_TXE ==0 );			 
			 SPI2->DR = rs+0x20;
		   while(SPI_SR_RXNE ==0 );
  del(1);                           
	                                      for (i=0;i<5;i++){
			 		                                     while(SPI_SR_TXE ==0 );			 
			                                        SPI2->DR =addres[i];
		                                         while(SPI_SR_RXNE ==0 );	
                                        del(1);        
																				}	
del(1);
																				csn_on;
}
//8888888888888888888888888888888888888888888888888888888888888888888888888

void pak_tx(void){
	csn_off;
	del(1);	 
	         while(SPI_SR_TXE ==0 );			 
			 SPI2->DR = FLUSH_TX;
		       while(SPI_SR_RXNE ==0 );
del(1);
		csn_on;
}


